Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420002 - Backport fix for issue with graceful restart taking very long time sometimes
Summary: Backport fix for issue with graceful restart taking very long time sometimes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Luboš Uhliarik
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 1327624
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 15:14 UTC by Jaroslav Reznik
Modified: 2021-01-14 09:16 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When waking up child processes during a graceful restart, the httpd parent process could attempt to open more connections than necessary if a large number of child processes had been active prior to the restart. Consequently, a graceful restart could take a long time to complete. With this update, httpd has been fixed to limit the number of connections opened during a graceful restart to the number of active children, and the described problem no longer occurs.
Clone Of: 1327624
Environment:
Last Closed: 2017-04-12 12:33:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Apache Bugzilla 54852 0 None None None 2017-02-07 15:14:34 UTC
Red Hat Knowledge Base (Solution) 2154791 0 None None None 2017-02-07 15:14:34 UTC
Red Hat Product Errata RHSA-2017:0906 0 normal SHIPPED_LIVE Moderate: httpd security and bug fix update 2017-04-12 16:24:45 UTC

Description Jaroslav Reznik 2017-02-07 15:14:22 UTC
This bug has been copied from bug #1327624 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 6 errata-xmlrpc 2017-04-12 12:33:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0906


Note You need to log in before you can comment on or make changes to this bug.